
/***************************************************
 Mt_Script Multlingual Text Editor
 mtscript_1.1

 Copyright (c) 1996
 CNRS France
 All rights reserved
 March 1996
   
                       Authors:
                       --------
 Stephane HARIE                     Malek BOUALEM
 Multilingual text editor           Multilingual writing systems
 E-mail: harie@lpl.univ-aix.fr      E-mail: malek@lpl.univ-aix.fr

                    Collaborators:
                    --------------
 Jean VERONIS
 E-mail: veronis@univ-aix.fr

 LRE - MULTEXT Project (1994-1996)
 Laboratoire Parole et Langage - CNRS
 Aix-En-Provence, France
 Tel: (33) 42 95 36 27
 Fax: (33) 42 59 50 96
 E-mail: multext@lpl.univ-aix.fr
***************************************************/

/* Russian Rules 
*******************/

/* Controle */
E1= {0-7,9-31,128-159 }				

/* Special characters: first part of ISO-8859-5 */
E2={32-33,35-126}

/* Other non Cyrillic characters: second part of ISO-8859-5 */       	
E3= {162-175,240,242-255}

/* Cyrillic characters */
E4= {176-180,182,184-212,214-239}

/* Double-quote */
E6={34}

/* Small characters allowing accents */
E10={213}	/* id. t */
E11={241}	/* id ` */

/* Capital characters allowing accents */
E30={181}	/* id. T */
E31={161}	/* id ~ */

/* Other characters */
E110={8}			/* backspace */
E111={127}		/* delete */

%%RULES

E*,E*:0,"b";			/* non particular characters: inchanged */

E*,E110:-1,"";			/* backspace */
E*,E111:1,"";			/* delete */

/* accentuation
--------------*/
E10,E6:-1,"C241";   /* Actually this rule is not active: double utilisation of " */
E30,E6:-1,"C161";   /* It requires to associate other entries for  and  */

/* accent suppression
--------------------*/
E11,E110:-1,"C213";
E31,E110:-1,"C181";

%%END
